summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions/0022rule_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/transactions/0022rule_1')
-rwxr-xr-xtests/shell/testcases/transactions/0022rule_111
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/shell/testcases/transactions/0022rule_1 b/tests/shell/testcases/transactions/0022rule_1
new file mode 100755
index 0000000..07be53f
--- /dev/null
+++ b/tests/shell/testcases/transactions/0022rule_1
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+RULESET="add table x
+add chain x y
+delete chain x y
+add rule x y jump y"
+
+# kernel must return ENOENT
+$NFT -f - <<< "$RULESET" 2>/dev/null || exit 0
+echo "E: allowing jump loop to unexisting chain"
+exit 1